--- README.orig	2008-04-19 08:24:17.000000000 -0700
+++ README	2008-04-19 08:27:30.000000000 -0700
@@ -27,11 +27,9 @@
         # Set some limits (only applies to scan())
         # Only relevant for archives
         $c->maxreclevel(4);
-        $c->maxmailrec(4);
         $c->maxfiles(20);
         $c->maxfilesize(1024 * 1024 * 20); # 20 megs
         $c->archivememlim(0); # limit memory usage for bzip2 (0/1)
-        $c->maxratio(0);
 
         # Scan a filehandle (scandesc in clamav)
         # scan(FileHandle or path, Bitfield of options)
@@ -107,10 +105,6 @@
     CL_SCAN_ALGORITHMIC
      Enable algorithmic detection of viruses.
 
-    CL_SCAN_PHISHING_DOMAINLIST
-     Phishing module: restrict URL scanning to domains from .pdf
-     (RECOMMENDED).
-
     CL_SCAN_PHISHING_BLOCKSSL
      Phishing module: always block SSL mismatches in URLs.
 
@@ -239,9 +233,6 @@
     maxreclevel
      Sets the maximum recursion level into archives [default 5].
 
-    maxmailrec
-     Sets the maximum recursion level into emails [default 10].
-
     maxfiles
      Maximum number of files that will be scanned [default 1000]. A value of
      zero disables the check.
@@ -250,11 +241,6 @@
      Maximum file size that will be scanned in bytes [default 10M]. A value
      of zero disables the check.
 
-    maxratio
-     Maximum compression ratio. So if this is set to 200, libclamav will
-     give up decompressing a file if it reaches 200x its compressed size
-     [default 200]. A value of zero disables the check.
-
     archivememlim
      Turns on/off memory usage limits for bzip2. [default 1]
 
--- ClamAV.pm.orig	2008-01-14 13:32:27.000000000 -0800
+++ ClamAV.pm	2008-04-19 08:28:01.000000000 -0700
@@ -88,7 +88,6 @@
     CL_SCAN_MAILURL
     CL_SCAN_BLOCKMAX
     CL_SCAN_ALGORITHMIC
-    CL_SCAN_PHISHING_DOMAINLIST
     CL_SCAN_PHISHING_BLOCKSSL
 
     CL_SCAN_PHISHING_BLOCKCLOAK
@@ -224,12 +223,10 @@
 
     /* set defaults for limits */
     c->limits.maxreclevel = 5;
-    c->limits.maxmailrec = 10;
     c->limits.maxfiles = 1000;
     c->limits.maxfilesize = 1024 * 1028 * 10; /* 10 Megs */
 
     /* XXX need to figure out a nice default */
-    c->limits.maxratio = 200;
     c->limits.archivememlim = 1;
 
     if (S_ISDIR(st.st_mode)) {
@@ -304,19 +301,6 @@
     return SvClam(self)->limits.maxreclevel;
 }
 
-int clamav_perl_maxmailrec(SV *self, ...)
-{
-    Inline_Stack_Vars;
-    if (Inline_Stack_Items > 1) {
-        SV *max;
-        if (Inline_Stack_Items > 2)
-            croak("Invalid number of arguments to maxmailrec()");
-        max = Inline_Stack_Item(1);
-        SvClam(self)->limits.maxmailrec = SvIV(max);
-    }
-    return SvClam(self)->limits.maxmailrec;
-}
-
 int clamav_perl_maxfiles(SV *self, ...)
 {
     Inline_Stack_Vars;
@@ -343,18 +327,6 @@
     return SvClam(self)->limits.maxfilesize;
 }
 
-int clamav_perl_maxratio(SV *self, ...)
-{
-    Inline_Stack_Vars;
-    if (Inline_Stack_Items > 1) {
-        SV *max;
-        if (Inline_Stack_Items > 2)
-            croak("Invalid number of arguments to maxratio()");
-        max = Inline_Stack_Item(1);
-        SvClam(self)->limits.maxratio = (long int)SvIV(max);
-    }
-    return SvClam(self)->limits.maxratio;
-}
 
 int clamav_perl_archivememlim(SV *self, ...)
 {
@@ -536,7 +508,6 @@
     if (strEQ("CL_SCAN_MAILURL", name)) return CL_SCAN_MAILURL;
     if (strEQ("CL_SCAN_BLOCKMAX", name)) return CL_SCAN_BLOCKMAX;
     if (strEQ("CL_SCAN_ALGORITHMIC", name)) return CL_SCAN_ALGORITHMIC;
-    if (strEQ("CL_SCAN_PHISHING_DOMAINLIST", name)) return CL_SCAN_PHISHING_DOMAINLIST;
     if (strEQ("CL_SCAN_PHISHING_BLOCKSSL", name)) return CL_SCAN_PHISHING_BLOCKSSL;
     if (strEQ("CL_SCAN_PHISHING_BLOCKCLOAK", name)) return CL_SCAN_PHISHING_BLOCKCLOAK;
     if (strEQ("CL_SCAN_ELF", name)) return CL_SCAN_ELF;
@@ -616,11 +587,9 @@
 
     # Set some limits (only applies to scan())
     $c->maxreclevel(4);
-    $c->maxmailrec(4);
     $c->maxfiles(20);
     $c->maxfilesize(1024 * 1024 * 20); # 20 megs
     $c->archivememlim(0); # limit memory usage for bzip2 (0/1)
-    $c->maxratio(0);
 
     # Scan a filehandle (scandesc in clamav)
     # scan(FileHandle or path, Bitfield of options)
@@ -715,10 +684,6 @@
 
 Enable algorithmic detection of viruses. 
 
-=item CL_SCAN_PHISHING_DOMAINLIST
-
-Phishing module: restrict URL scanning to domains from .pdf (RECOMMENDED). 
-
 =item CL_SCAN_PHISHING_BLOCKSSL
 
 Phishing module: always block SSL mismatches in URLs. 
@@ -904,10 +869,6 @@
 
 Sets the maximum recursion level into archives [default 5].
 
-=item maxmailrec
-
-Sets the maximum recursion level into emails [default 10].
-
 =item maxfiles
 
 Maximum number of files that will be scanned [default 1000]. A value of zero
@@ -918,12 +879,6 @@
 Maximum file size that will be scanned in bytes [default 10M]. A value of zero
 disables the check.
 
-=item maxratio
-
-Maximum compression ratio. So if this is set to 200, libclamav will give up
-decompressing a file if it reaches 200x its compressed size [default 200]. A
-value of zero disables the check.
-
 =item archivememlim
 
 Turns on/off memory usage limits for bzip2. [default 1]
--- t/Mail-ClamAV.t.orig	2007-02-20 05:35:41.000000000 -0800
+++ t/Mail-ClamAV.t	2008-04-19 08:29:04.000000000 -0700
@@ -59,7 +59,6 @@
     CL_SCAN_MAILURL
     CL_SCAN_BLOCKMAX
     CL_SCAN_ALGORITHMIC
-    CL_SCAN_PHISHING_DOMAINLIST
     CL_SCAN_PHISHING_BLOCKSSL
 
     CL_SCAN_PHISHING_BLOCKCLOAK
